from GPS import *
from recupere import *
from STL import *

#45.221435, 5.016486 tersanne
#45.171243, 5.722483 Grenoble
#45.831949, 6.864395 mont blanc
#45.010632, 5.443115 Vercors
#45.849367, 6.182756 LacAnnecy
#27.987348, 86.922997 Everest
nom = "Everest"
Latitude = 27.987348
Longitude = 86.922997
distance = 5000
definition = 50

gps = Milieu(Latitude,Longitude,distance,definition)

latitudeStart = gps[0]
longitudeStart = gps[1]
deplacement_metres = gps[4]
facteur = deplacement_metres
lenX=gps[2]
lenY=gps[3]

print("Latitude de départ:", latitudeStart)
print("Longitude de départ:", longitudeStart)
print("Déplacement en mètres:", deplacement_metres)
print("Facteur:", facteur)
print("Longueur en X:", lenX)
print("Longueur en Y:", lenY)


recupere(latitudeStart,longitudeStart,deplacement_metres,facteur,lenX,lenY,nom)

transformeSTL(nom)
